> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Applicant: Yardi REST

POST https://api.propexo.com/v1/applicants/yardi_rest/
Content-Type: application/json

Create Applicant: Yardi REST. When creating an applicant along with an event, Propexo will create a base event of type "Other" as an initial applicant event. If the event is one of the valid "first contact" events in Yardi (such as Other,WalkIn,Chat,Email,Text,Webservice), then Propexo will create the applicant with the associated "first contact" event type.| Interface      | Method                        |
| -------------- | ----------------------------- |
| ILS Guest Card | /ItfProspect/ImportYardiGuest |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/yardi-rest/applicants/create-applicant-yardi-rest

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_applicants_yardi_rest__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `lead_source_id` (string, required) — The Propexo unique identifier for the lead source
- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `third_party_id` (string, required) — A unique value provided to the PMS to uniquely identify the applicant from your system.
- `organization_name` (string, required) — The name of your organization. Yardi uses this for associating a applicant
- `first_name` (string, required) — The first name associated with the applicant
- `last_name` (string, required) — The last name associated with the applicant
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `email_1` (string, optional) — The primary email address associated with the applicant
- `address_1` (string, optional) — The first address line associated with the applicant
- `address_2` (string, optional) — The second address line associated with the applicant
- `city` (string, optional) — The city associated with the applicant
- `state` (string, optional) — The state associated with the applicant
- `zip` (string, optional) — The zip code associated with the applicant
- `target_move_in_date` (V1ApplicantsYardiRestPostInputTargetMoveInDate, optional) — The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
- `desired_num_bedrooms` (double, optional) — The desired number of bedrooms
- `desired_lease_term_in_months` (string, optional) — The amount of months for the lease term
- `notes` (string, optional) — Notes associated with the applicant
- `events` (list of V1ApplicantsYardiRestPostInputEventsItems, optional) — A list of events to create for the new applicant

## Response

### 200

Successful response

- `meta` (V1ApplicantsYardiRestPostOutputMeta, required)
- `result` (V1ApplicantsYardiRestPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ApplicantsYardiRestPostInputTargetMoveInDate

The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

### V1ApplicantsYardiRestPostInputEventsItems

- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `event_name` (enum, required) — The name or type of event. This has to be from a predefined set of events.
  - Allowed values: `CallToProspect`, `CallFromProspect`, `Other`, `WalkIn`, `Chat`, `Email`, `Text`, `Webservice`, `Appointment`, `Show`, `Application`, `SelfGuidedTour`, `Application`
- `event_datetime` (string, required) — The date when the event will occur
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `unit_id` (string, optional) — The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".
- `notes` (string, optional) — Notes associated with the event
- `reasons_for_event` (string, optional) — The reasons for the event

### V1ApplicantsYardiRestPostOutputMeta

- `job_id` (string, required)

### V1ApplicantsYardiRestPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `lead_source_id` (string, required) — The Propexo unique identifier for the lead source
- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `third_party_id` (string, required) — A unique value provided to the PMS to uniquely identify the applicant from your system.
- `organization_name` (string, required) — The name of your organization. Yardi uses this for associating a applicant
- `first_name` (string, required) — The first name associated with the applicant
- `last_name` (string, required) — The last name associated with the applicant
- `phone_1` (string, required, nullable) — Primary phone number associated with the applicant
- `phone_1_type` (enum, required) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, required) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `email_1` (string, required, nullable) — The primary email address associated with the applicant
- `address_1` (string, required, nullable) — The first address line associated with the applicant
- `address_2` (string, required, nullable) — The second address line associated with the applicant
- `city` (string, required, nullable) — The city associated with the applicant
- `state` (string, required, nullable) — The state associated with the applicant
- `zip` (string, required, nullable) — The zip code associated with the applicant
- `target_move_in_date` (V1ApplicantsYardiRestPostOutputResultTargetMoveInDate, required, nullable) — The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
- `desired_num_bedrooms` (double, required, nullable) — The desired number of bedrooms
- `desired_lease_term_in_months` (string, required, nullable) — The amount of months for the lease term
- `notes` (string, required, nullable) — Notes associated with the applicant
- `events` (list of V1ApplicantsYardiRestPostOutputResultEventsItems, required, nullable)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ApplicantsYardiRestPostOutputResultTargetMoveInDate

The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

### V1ApplicantsYardiRestPostOutputResultEventsItems

- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `event_name` (enum, required) — The name or type of event. This has to be from a predefined set of events.
  - Allowed values: `CallToProspect`, `CallFromProspect`, `Other`, `WalkIn`, `Chat`, `Email`, `Text`, `Webservice`, `Appointment`, `Show`, `Application`, `SelfGuidedTour`, `Application`
- `event_datetime` (string, required) — The date when the event will occur
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `unit_id` (string, optional) — The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".
- `notes` (string, optional) — Notes associated with the event
- `reasons_for_event` (string, optional) — The reasons for the event

## Examples

**Request**

```json
{
  "integration_id": "string",
  "property_id": "string",
  "unit_id": "string",
  "lead_source_id": "string",
  "employee_id": "string",
  "third_party_id": "string",
  "organization_name": "string",
  "first_name": "string",
  "last_name": "string"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "string"
  },
  "result": {
    "integration_id": "string",
    "property_id": "string",
    "unit_id": "string",
    "lead_source_id": "string",
    "employee_id": "string",
    "third_party_id": "string",
    "organization_name": "string",
    "first_name": "string",
    "last_name": "string",
    "phone_1": "string",
    "phone_1_type": "FAX",
    "phone_2": "string",
    "phone_2_type": "FAX",
    "email_1": "string",
    "address_1": "string",
    "address_2": "string",
    "city": "string",
    "state": "string",
    "zip": "string",
    "target_move_in_date": "2024-01-15T09:30:00Z",
    "desired_num_bedrooms": 1.1,
    "desired_lease_term_in_months": "string",
    "notes": "string",
    "events": [
      {
        "employee_id": "string",
        "event_name": "CallToProspect",
        "event_datetime": "2024-01-15T09:30:00Z",
        "lead_source_id": "string",
        "unit_id": "string",
        "notes": "string",
        "reasons_for_event": "string"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/yardi_rest/"

payload = {
    "integration_id": "string",
    "property_id": "string",
    "unit_id": "string",
    "lead_source_id": "string",
    "employee_id": "string",
    "third_party_id": "string",
    "organization_name": "string",
    "first_name": "string",
    "last_name": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/yardi_rest/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"string","property_id":"string","unit_id":"string","lead_source_id":"string","employee_id":"string","third_party_id":"string","organization_name":"string","first_name":"string","last_name":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/yardi_rest/"

	payload := strings.NewReader("{\n  \"integration_id\": \"string\",\n  \"property_id\": \"string\",\n  \"unit_id\": \"string\",\n  \"lead_source_id\": \"string\",\n  \"employee_id\": \"string\",\n  \"third_party_id\": \"string\",\n  \"organization_name\": \"string\",\n  \"first_name\": \"string\",\n  \"last_name\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/yardi_rest/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"string\",\n  \"property_id\": \"string\",\n  \"unit_id\": \"string\",\n  \"lead_source_id\": \"string\",\n  \"employee_id\": \"string\",\n  \"third_party_id\": \"string\",\n  \"organization_name\": \"string\",\n  \"first_name\": \"string\",\n  \"last_name\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/applicants/yardi_rest/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"string\",\n  \"property_id\": \"string\",\n  \"unit_id\": \"string\",\n  \"lead_source_id\": \"string\",\n  \"employee_id\": \"string\",\n  \"third_party_id\": \"string\",\n  \"organization_name\": \"string\",\n  \"first_name\": \"string\",\n  \"last_name\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/applicants/yardi_rest/', [
  'body' => '{
  "integration_id": "string",
  "property_id": "string",
  "unit_id": "string",
  "lead_source_id": "string",
  "employee_id": "string",
  "third_party_id": "string",
  "organization_name": "string",
  "first_name": "string",
  "last_name": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/yardi_rest/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"string\",\n  \"property_id\": \"string\",\n  \"unit_id\": \"string\",\n  \"lead_source_id\": \"string\",\n  \"employee_id\": \"string\",\n  \"third_party_id\": \"string\",\n  \"organization_name\": \"string\",\n  \"first_name\": \"string\",\n  \"last_name\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "string",
  "property_id": "string",
  "unit_id": "string",
  "lead_source_id": "string",
  "employee_id": "string",
  "third_party_id": "string",
  "organization_name": "string",
  "first_name": "string",
  "last_name": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/yardi_rest/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```